<?xml version="1.0"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
         xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
         xmlns:reo="http://www.xulplanet.com/rdf/reobase#">
         xmlns="http://www.xulplanet.com/rdf/reobase#">

<rdfs:Class rdf:about="urn:topicalla:view_top_node">
  <reo:defns>http://www.xulplanet.com/rdf/reobase#</reo:defns>
  <reo:labelProp resource="http://www.xulplanet.com/rdf/reobase#name"/>
  <rdfs:label>Thing</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="icon" reo:label="Icon"
                         reo:display="chrome://topicalla/content/binds.xml#iconnode"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Class rdf:about="urn:topicalla:view_top_container">
  <reo:defns>http://www.xulplanet.com/rdf/reobase#</reo:defns>
  <reo:labelProp resource="http://www.xulplanet.com/rdf/reobase#name"/>
  <rdfs:label>List</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="top" reo:label="Icons"
                         reo:display="chrome://topicalla/content/iconview.xul"/>
      </rdf:li><rdf:li>
        <rdf:Description reo:variant="top" reo:label="List"
                         reo:display="chrome://topicalla/content/treeview.xul"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Class rdf:about="http://www.xulplanet.com/rdf/reobase#people">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_container"/>
  <reo:defns>http://www.xulplanet.com/rdf/reobase#</reo:defns>
  <reo:labelProp resource="http://www.xulplanet.com/rdf/reobase#name"/>
  <rdfs:label>People</rdfs:label>
</rdfs:Class>

<rdfs:Class rdf:about="http://www.xulplanet.com/rdf/movies#movie-search-ui">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_container"/>
  <reo:defns>http://www.xulplanet.com/rdf/movies#</reo:defns>
  <reo:labelProp resource="http://www.xulplanet.com/rdf/movies#name"/>
  <rdfs:label>Movies</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="top" reo:displaymode="search" reo:label="Normal"
                         reo:display="chrome://topicalla/content/movie-search.xul"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Class rdf:about="http://www.xulplanet.com/rdf/movies#movie">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_node"/>
  <reo:defns>http://www.xulplanet.com/rdf/movies#</reo:defns>
  <reo:labelProp resource="http://www.xulplanet.com/rdf/movies#name"/>
  <rdfs:label>Movie</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="top" reo:label="Normal"
                         reo:display="chrome://topicalla/content/movie.xul"/>
      </rdf:li><rdf:li>
        <rdf:Description reo:variant="inline"
                         reo:display="chrome://topicalla/content/movie-binds.xml#movie-inline"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Property rdf:about="http://www.xulplanet.com/rdf/movies#bio"
               rdfs:label="Actor Biography"
               rdfs:domain="http://www.xulplanet.com/rdf/movies#actor"
               rdfs:range="http://www.xulplanet.com/rdf/reobase#hypertext"/>

<rdfs:Class rdf:about="http://www.xulplanet.com/rdf/movies#actor">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_node"/>
  <reo:defns>http://www.xulplanet.com/rdf/movies#</reo:defns>
  <reo:labelProp resource="http://www.xulplanet.com/rdf/movies#name"/>
  <rdfs:label>Actor / Actress</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="top" reo:label="Normal"
                         reo:display="chrome://topicalla/content/actor.xul"/>
      </rdf:li><rdf:li>
        <rdf:Description reo:variant="inline"
                         reo:display="chrome://topicalla/content/movie-binds.xml#actor-inline"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Class rdf:about="http://purl.org/rss/1.0/channel">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_node"/>
  <reo:defns>http://purl.org/rss/1.0/</reo:defns>
  <reo:labelProp resource="http://purl.org/rss/1.0/title"/>
  <rdfs:label>RSS Channel</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="top" reo:label="Normal"
                         reo:display="chrome://topicalla/content/rssnews.xul"/>
      </rdf:li><rdf:li>
        <rdf:Description reo:variant="inline"
                         reo:display="chrome://topicalla/content/foaf.xml#rssdata"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Property rdf:about="http://purl.org/rss/1.0/description"
               rdfs:label="Biography"
               rdfs:range="http://www.xulplanet.com/rdf/reobase#hypertext"/>

<rdfs:Class rdf:about="http://xmlns.com/foaf/0.1/Person">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_node"/>
  <reo:defns>http://xmlns.com/foaf/0.1/</reo:defns>
  <reo:labelProp resource="http://xmlns.com/foaf/0.1/name"/>
  <rdfs:label>Person</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="top" reo:label="Normal"
                         reo:display="chrome://topicalla/content/foaf.xul"/>
      </rdf:li><rdf:li>
        <rdf:Description reo:variant="inline"
                         reo:display="chrome://topicalla/content/foaf.xml#person"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Property rdf:about="http://xmlns.com/foaf/0.1/weblog"
               rdfs:label="FOAF Weblog"
               rdfs:range="http://purl.org/rss/1.0/channel"/>

<rdfs:Class rdf:about="http://www.xulplanet.com/rdf/reobase#plaintext">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_node"/>
  <reo:defns>http://www.xulplanet.com/rdf/reobase#</reo:defns>
  <rdfs:label>Plain Text</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="inline"
                         reo:display="chrome://topicalla/content/binds.xml#label"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdfs:Class rdf:about="http://www.xulplanet.com/rdf/reobase#hypertext">
  <rdfs:subClassOf rdf:resource="urn:topicalla:view_top_node"/>
  <reo:defns>http://www.xulplanet.com/rdf/reobase#</reo:defns>
  <rdfs:label>Hypertext</rdfs:label>

  <reo:displays>
    <rdf:Bag>
      <rdf:li>
        <rdf:Description reo:variant="inline"
                         reo:display="chrome://topicalla/content/binds.xml#hypertext"/>
      </rdf:li>
    </rdf:Bag>
  </reo:displays>
</rdfs:Class>

<rdf:Seq about="urn:topicalla:userinfo:bookmarks">
  <rdf:li>
    <rdf:Description>
      <reo:name>Search For Movies</reo:name>
      <reo:datasource>chrome://topicalla/content/sources/movies.rdf</reo:datasource>
      <reo:startNode>
        <mv:movie-search-ui about="http://www.xulplanet.com/rdf/movies#movie-search-inst"
                            xmlns:mv="http://www.xulplanet.com/rdf/movies#"/>
      </reo:startNode>
    </rdf:Description>
  </rdf:li>
  <rdf:li>
    <rdf:Description>
      <reo:name>Richard Korman</reo:name>
      <reo:datasource>chrome://topicalla/content/sources/rich.rdf</reo:datasource>
      <reo:startNode>
        <foaf:Person about="http://www.xulplanet.com/rdf/Rich"
                     xmlns:foaf="http://xmlns.com/foaf/0.1/"/>
      </reo:startNode>
    </rdf:Description>
  </rdf:li>
  <rdf:li>
    <RDF:Description>
      <reo:datasource>rdf:this</reo:datasource>
      <reo:name>People</reo:name>
      <reo:startNode>
        <reo:people about="urn:topicalla:userinfo:people"/>
      </reo:startNode>
    </RDF:Description>
  </rdf:li>
  <rdf:li>
    <rdf:Description>
      <reo:name>Files</reo:name>
      <reo:datasource>rdf:files</reo:datasource>
      <reo:startNode>
        <k:view_top_container about="NC:FilesRoot" xmlns:k="urn:topicalla:"/>
      </reo:startNode>
    </rdf:Description>
  </rdf:li>
</rdf:Seq>

<rdf:Seq about="urn:topicalla:userinfo:history">
</rdf:Seq>

<rdf:Description about="urn:topicalla:userinfo:startpage">
  <reo:name>Actors/Actresses</reo:name>
  <reo:datasource>chrome://topicalla/content/sources/movies.rdf</reo:datasource>
  <reo:startNode>
    <mv:movie-search-ui about="urn:actor:all"
                        xmlns:mv="http://www.xulplanet.com/rdf/movies#"/>
  </reo:startNode>
</rdf:Description>

<rdf:Seq about="urn:topicalla:userinfo:people">
  <rdf:li resource="urn:xulplanet.com:neil"/>
  <rdf:li resource="http://www.xulplanet.com/rdf/Rich"/>
</rdf:Seq>

<foaf:Person about="urn:xulplanet.com:neil" reo:name="Neil Deakin"
             xmlns:foaf="http://xmlns.com/foaf/0.1/"/>

<foaf:Person about="http://www.xulplanet.com/rdf/Rich" reo:name="Richard Korman"
             xmlns:foaf="http://xmlns.com/foaf/0.1/"/>

</rdf:RDF>
